totem fails to play http streams behind a proxy with authentication

Bug #477160 reported by Andrew
42
This bug affects 7 people
Affects Status Importance Assigned to Milestone
GStreamer
New
Undecided
Unassigned
Totem
Fix Released
Medium
totem (Ubuntu)
Low
Ubuntu Desktop Bugs

Bug Description

Binary package hint: totem

I am trying to stream a recording from my mythtv box using mythweb.

Executing:
totem http://mythtv:80/mythweb/pl/stream/1091/1257553680

Output:
** Message: Error: Cannot connect to proxy
gstsouphttpsrc.c(913): gst_soup_http_src_finished_cb (): /GstPlayBin2:play/GstURIDecodeBin:uridecodebin0/GstSoupHTTPSrc:source:
libsoup status code 5

** Message: no file info
/usr/lib/totem/plugins/bbc/installablecodecs.py:57: DeprecationWarning: Accessed deprecated property Package.candidateDownloadable, please see the Version class for alternatives.
  not pkg.candidateDownloadable):
/usr/lib/totem/plugins/bbc/installablecodecs.py:59: DeprecationWarning: Accessed deprecated property Package.candidateRecord, please see the Version class for alternatives.
  record = pkg.candidateRecord

mplayer can play the video fie, so I know it isn't a mythweb problem

ProblemType: Bug
Architecture: amd64
Date: Fri Nov 6 21:53:38 2009
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
Package: totem 2.28.2-0ubuntu2
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: totem
Uname: Linux 2.6.31-14-generic x86_64
XsessionErrors:
 (gnome-settings-daemon:2820): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:2886): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:2860): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed

Revision history for this message
Andrew (andrew-rw-robinson) wrote :
Revision history for this message
Sebastien Bacher (seb128) wrote :

Thank you for your bug report. The issue is an upstream one and it would be nice if somebody having it could send the bug the to the people writting the software (https://wiki.ubuntu.com/Bugs/Upstream/GNOME)

Changed in totem (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
importance: Undecided → Low
Revision history for this message
Andrew (andrew-rw-robinson) wrote :

Works fine on my home computer which has no proxy settings.

Looks like https://bugzilla.gnome.org/show_bug.cgi?id=395429 which is stating that totem does not support an http proxy.

Changed in totem (Ubuntu):
status: New → Triaged
Revision history for this message
Trey Ethridge (tethridge) wrote :

This worked in 9.04 with a proxy. This is a regression. I'm having this issue on 9.10.

Revision history for this message
Trey Ethridge (tethridge) wrote :

I did some more testing and this works on Fedora 10 and Fedora 8. All I did was take a playlist in "pls" format from shoutcast.com and open it. You need to be behind a firewall that requires a proxy. 9.10 will not honor the proxy setting like it use to do.

I think this bug should be raised in priority, since it is a regression and the functionality works in other major distributions. This is due to something that changed in Ubuntu.

Revision history for this message
Nicolas Delvaux (malizor) wrote :

@Trey Ethridge: Can you confirm that this is an Ubuntu specific bug?

For me (Ubuntu 10.04) it works when there is no proxy and when the proxy doesn't need authentication.

For example, with the youtube plugin, I get this message when I try to play a video:

gstsouphttpsrc.c(1096): gst_soup_http_src_parse_status (): /GstPlayBin2:play/GstURIDecodeBin:uridecodebin1/GstSoupHTTPSrc:source:
407 Proxy Authentication Required

As stated in the upstream bug report (3 years ago!), it seems to depend on the gstreamer plugin in use, because I get this other error message when trying to play an mms:// (this also work fine without authentication)

** Message: Error: Could not open resource for reading and writing.
gstrtspsrc.c(4862): gst_rtspsrc_open (): /GstPlayBin2:play/GstURIDecodeBin:uridecodebin0/GstRTSPSrc:source:
Could not connect to server. (Network error: Host name lookup failure)

summary: - totem fails to play http streams
+ totem fails to play http streams behind a proxy with authentication
Revision history for this message
Nicolas Delvaux (malizor) wrote :

This definitely seems to be a Gstreamer bug because there is the same issue in Rhythmbox (see #278269).

I also found this topic: http://web.archiveorange.com/archive/v/8yxpzIzR9ceiEnLmz7yf
It confirm that proxy authentication do not work currently in Gstreamer.

Revision history for this message
Nicolas Delvaux (malizor) wrote :
Changed in totem:
importance: Unknown → Medium
status: Unknown → New
Changed in totem:
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package totem - 3.6.3-0ubuntu1

---------------
totem (3.6.3-0ubuntu1) raring; urgency=low

  * New upstream release
    - Really stop using the soundpitch plugin
    - Fix playback of some audio types failing
  * Add patch to use scaletempo from -good (this is an Ubuntu-local patch as
    this move has not yet happened in upstream gstreamer). Remove gstreamer
    -bad BD and dep accordingly.
  * Remove Grilo until MIRed

totem (3.6.2-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release.
    - Make Ogg video streaming work again (the soundpitch plugin in
      gst-plugins-bad is broken)
    - Fix memory leaks when using download buffering
    - Fix spinning cursor when launching videos from the file manager
    - Fix bugs in video searches
    - Fix screensaver not being inhibited (browser plugin)
    - Fix some streams' video canvas being hidden (browser plugin)
  * debian/rules: Build with --fail-missing, to ensure we install everything.
    - Ignore libtotem.{,l}a since we delibrately don't install these.
  * debian/control: Refresh BDs to match configure.in

totem (3.6.0-0ubuntu1~12.10.1) quantal; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release. (LP: #1042018)
    - In GNOME3 PPA since it uses gstreamer1.0 and the Ubuntu image won't
      be using that until 13.04.
    - Adds proxy support (LP: #477160)
  * debian/control.in:
    - Replace gstreamer0.10 dependencies with gstreamer1.0
    - Bump minimum glib & gtk
    - Drop mx dependency
    - Build-depend on gsettings-desktop-schemas-dev (>= 3.5.5)
    - Build-depend and depend on gstreamer1.0-plugins-bad
      (TODO: look into moving soundtouch to -good)
    - Build-depend on grilo (TODO: needs MIR) (LP: #1035701)
  * debian/totem-plugins-extra.install:
    - iplayer has been dropped
    - Add grilo plugin (but it doesn't seem to be working yet)
  * Refreshed debian/patches/91_quicklist_entries.patch
  * Dropped git patches

  [ Jeremy Bicha ]
  * debian/control.in:
    - Point to GNOME3 team bzr branch
    - Update totem-plugins-extra description & dependencies
 -- Iain Lane <email address hidden> Thu, 29 Nov 2012 17:11:44 +0000

Changed in totem (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.